Subject: Re: [PATCH] doc: replace jargon word "impact" with "effect"/"affect"

From: Junio C Hamano <[email-masked]>
Date: Tue, 11 May 2021 22:22:30 +0900

Michal Suchánek <[email-masked]> writes:

> Since you can look up the meaning of the word in a general purpose
> dictionary it should be an acceptable use even if it's less commonly
> used in some other English-speaking parts of the world.
> ...
> They are not confusing in the way they are used. That is 'does not
> impact' in the maning 'has no or negligible effect', and especially in
> the cases where the degree of effect is not considered and only there
> being an effect or not is discussed there is no room for confusion.
> ...
> ...
> This topic somewhat interests me so I was continuing this discussion
> in the hope that you either provide a specific very confusing use of the
> word impact in the documentation that triggered creating this patch or
> some solid evidence that the general use of word 'impact' as synonym for
> affect/effect is in some way problematic but niether happened.
>
> I think this topic has been discussed sufficiently and there is nothing
> more to add.

Thanks.

As you said, lack of a specific example of what is universally
confusing, or at least confusing to a not-so-insignificant part of
the readership, was why this change didn't gain much support.  There
might be one or two such places where the updated text does read
better, but it is not a very good use of reviewers' time to find
such needles in 700+ line haystack of a patch.